Bug 11499

Summary: zebra_setup.pl not correctly setting indexing mode
Product: Koha Reporter: Tomás Cohen Arazi <tomascohen>
Component: Test SuiteAssignee: Chris Cormack <chris>
Status: CLOSED FIXED QA Contact: Galen Charlton <gmcharlt>
Severity: normal    
Priority: P5 - low CC: fridolin.somers, kyle
Version: master   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Trivial patch
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
Bug Depends on:    
Bug Blocks: 11096    
Attachments: Bug 11499 - (regression tests) indexing modes not properly set on generated koha-conf.xml
Bug 11499 - Make zebra_setup.pl correctly set indexing mode
Bug 11499: (regression tests) indexing modes not properly set on generated koha-conf.xml
Bug 11499: UT: Make zebra_setup.pl correctly set indexing mode
Bug 11499: (regression tests) indexing modes not properly set on generated koha-conf.xml
Bug 11499: UT: Make zebra_setup.pl correctly set indexing mode

Description Tomás Cohen Arazi 2014-01-08 15:17:04 UTC
Bibliographic and authorities indexing mode is set in several places, including the koha-conf.xml file. The latter is not being properly set by the zebra_setup.pl helper script.

I figured this when writing my patches for bug 11096 when I noticed i was getting USMARC data when I shouldn't.

To reproduce:
- Run the attached regression test.
Comment 1 Tomás Cohen Arazi 2014-01-08 15:39:07 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2014-01-08 15:40:09 UTC Comment hidden (obsolete)
Comment 3 Galen Charlton 2014-01-08 17:37:48 UTC Comment hidden (obsolete)
Comment 4 Galen Charlton 2014-01-08 17:37:53 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2014-01-10 13:19:12 UTC
Created attachment 24122 [details] [review]
Bug 11499: (regression tests) indexing modes not properly set on generated koha-conf.xml

t/db_dependent/Search.t creates its own temporary koha-conf.xml and
related files, and it fails to properly set indexing modes for
bibliographic and authority records.

This patch adds regression tests for that.

To test:

 $ prove -v t/db_dependent/Search.t 2> /dev/null | grep 11499

The test should fail unless the main page is applied.

Sponsored-by: Universidad Nacional de Cordoba
Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Kyle M Hall 2014-01-10 13:19:23 UTC
Created attachment 24123 [details] [review]
Bug 11499: UT: Make zebra_setup.pl correctly set indexing mode

By adding the relevant environment variables to the script the generated
koha-conf.xml file for the unit tests is correct now.

Test plan:
- Verify that tests pass now:
  $ prove -v t/db_dependent/Search.t 2> /dev/null | grep 11499

Sponsored-by: Universidad Nacional de Cordoba
Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Passes unit test, koha-qa.pl
Comment 7 Galen Charlton 2014-01-10 16:14:00 UTC
Pushed to master.  Thanks, Tomás!
Comment 8 Fridolin Somers 2014-02-18 08:57:32 UTC
Patches pushed to 3.14.x, will be in 3.14.4.